[问题]编译安装的make步出错

为当前最终发行版之前的所有版本提供支持
回复
兔子免了
帖子: 6
注册时间: 2008-06-12 22:42
送出感谢: 0
接收感谢: 0

[问题]编译安装的make步出错

#1

帖子 兔子免了 » 2008-06-13 9:13

拿到源代码的压缩文档,解压后,然后执行以下三个命令:
1 ./configure
2 make
3 sudo make install
第一步成功,二三不步就报错了,不知为什么??
附件
ubuntumake.JPG
上次由 兔子免了 在 2008-06-13 9:44,总共编辑 3 次。
samuelshi
帖子: 101
注册时间: 2006-04-13 9:57
送出感谢: 0
接收感谢: 0

Re: [问题]编译安装的make步出错

#2

帖子 samuelshi » 2008-06-13 9:15

兔子免了 写了:拿到源代码的压缩文档,解压后,然后执行以下三个命令:
1 ./configure
2 make
3 sudo make install
第一步成功,二三不步就报错了,不知为什么??
你不把报错信息贴上来,光这么问谁会知道? :)
Dell D630 + Ubuntu Jaunty
兔子免了
帖子: 6
注册时间: 2008-06-12 22:42
送出感谢: 0
接收感谢: 0

#3

帖子 兔子免了 » 2008-06-13 9:22

正在尝试贴图,呵呵,不好意思
samuelshi
帖子: 101
注册时间: 2006-04-13 9:57
送出感谢: 0
接收感谢: 0

#4

帖子 samuelshi » 2008-06-13 10:44

兔子免了 写了:正在尝试贴图,呵呵,不好意思
你第一步的./configure就没过,怎么可能make && make install?
你没装build-essential
sudo apt-get install build-essential
然后再./configure && make && sudo make install
Dell D630 + Ubuntu Jaunty
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#5

帖子 HuntXu » 2008-06-13 12:29

用build-dep装xmms依赖吧
HUNT Unfortunately No Talent...
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#6

帖子 dbzhang800 » 2008-06-13 13:16

1。第一步已经出错了

2。为什么自己编译过时的xmms,直接装 Audacious 不行?
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#7

帖子 HuntXu » 2008-06-13 13:17

dbzhang800 写了:1。第一步已经出错了

2。为什么自己编译过时的xmms,直接装 Audacious 不行?
xmms过时了? :oops:
HUNT Unfortunately No Talent...
头像
jaywee
帖子: 517
注册时间: 2006-06-18 21:49
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 jaywee » 2008-06-13 13:18

samuelshi 写了:
兔子免了 写了:正在尝试贴图,呵呵,不好意思
你第一步的./configure就没过,怎么可能make && make install?
你没装build-essential
sudo apt-get install build-essential
然后再./configure && make && sudo make install
re!!正解!!!
Time waits for no man!
兔子免了
帖子: 6
注册时间: 2008-06-12 22:42
送出感谢: 0
接收感谢: 0

#9

帖子 兔子免了 » 2008-06-13 13:41

谢谢,我是很新很新的手, :oops:
samuelshi
帖子: 101
注册时间: 2006-04-13 9:57
送出感谢: 0
接收感谢: 0

#10

帖子 samuelshi » 2008-06-13 14:55

HuntXu 写了:
dbzhang800 写了:1。第一步已经出错了

2。为什么自己编译过时的xmms,直接装 Audacious 不行?
xmms过时了? :oops:
audacious就是原来开发xmms的那帮人做的,xmms已经停止开发了
都转到audacious上了,呵呵
Dell D630 + Ubuntu Jaunty
回复

回到 “老旧版本支持”